package localizer

import (
	lclrimp "github.com/tech/sendico/notification/internal/localizer"
	"github.com/tech/sendico/pkg/mlogger"
)

type Config = *lclrimp.Config

type Localizer interface {
	LocalizeTemplate(id string, templateData, ctr any, lang string) (string, error)
	LocalizeString(id, lang string) (string, error)
	ServiceName() string
	SupportMail() string
}

func CreateLocalizer(logger mlogger.Logger, config *Config) (Localizer, error) {
	return lclrimp.CreateLocalizer(logger, *config)
}
